Bug 863838 - URLs have changed
URLs have changed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xoo (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 15:36 EDT by barsnick
Modified: 2012-12-20 11:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description barsnick 2012-10-07 15:36:44 EDT
Description of problem:
The URL and Source tags of xoo are no longer valid.

Version-Release number of selected component (if applicable):
0.7-16

How reproducible:
always

Steps to Reproduce:
1. spectool -A xoo.spec
2.
3.
  
Actual results:
invalid URLs (redirects, partly useless).

Expected results:
valid URLs

Additional info:
The sources are now here:
http://downloads.yoctoproject.org/releases/xoo/

o-hand.com seems to have gone to Intel. I haven't found a replacement homepage for the tool.

BTW, 0.8 is out and now also supports Xephyr, which should be reflected in the %description.
Comment 1 Paul Wouters 2012-10-21 23:07:50 EDT
I had a quick look.

#error "Only <glib.h> can be included directly."

That seems easily fixed.

Also noticed it failed on forgetting -lX11. Adding it in the makefile made it compile, so I will look at adding it properly so it gets generated okay.

could use some better error handling too:
[paul@thinkpad xoo-0.8]$ ./src/xoo

(xoo:18198): libglade-WARNING **: could not find glade file '/usr/share/xoo/Xoo.glade'
**
ERROR:main.c:73:fakeapp_new: assertion failed: (glade != NULL)
Aborted (core dumped)

Other then that, it seemed to work.

I'll update the openmoko patch.

I haven't used this myself in a long time - I needed xoo back in the day of the openmoko.
Comment 2 Fedora Update System 2012-10-30 11:22:16 EDT
xoo-0.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xoo-0.8-1.fc17
Comment 3 Fedora Update System 2012-10-30 11:26:52 EDT
xoo-0.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xoo-0.8-1.fc18
Comment 4 Fedora Update System 2012-10-30 16:18:32 EDT
Package xoo-0.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xoo-0.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17280/xoo-0.8-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:15:46 EST
xoo-0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.